Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStoredDrag Class Reference

The QStoredDrag class provides a simple stored-value drag object for arbitrary MIME data. More...

`#include <qdragobject.h>`

Inherits QDragObject.

Inherited by QUriDrag and QColorDrag.

List of all member functions.

## Public Members

- QStoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )
- ~QStoredDrag ()
- virtual void setEncodedData ( const QByteArray & encodedData )
- virtual QByteArray encodedData ( const char * m ) const

## Detailed Description

The QStoredDrag class provides a simple stored-value drag object for arbitrary MIME data.

When a block of data has only one representation, you can use a QStoredDrag to hold it.

For more information about drag and drop, see the QDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

## Member Function Documentation

### QStoredDrag::QStoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )

Constructs a QStoredDrag. The dragSource and name are passed to the QDragObject constructor, and the format is set to mimeType.

The data will be unset. Use setEncodedData() to set it.

### QStoredDrag::~QStoredDrag ()

Destroys the drag object and frees up all allocated resources.

### QByteArray QStoredDrag::encodedData ( const char * m ) const`[virtual]`

Returns the stored data. m contains the data's format.

See also setEncodedData().

Reimplemented from QMimeSource.

### void QStoredDrag::setEncodedData ( const QByteArray & encodedData )`[virtual]`

Sets the encoded data of this drag object to encodedData. The encoded data is what's delivered to the drop sites. It must be in a strictly defined and portable format.

The drag object can't be dropped (by the user) until this function has been called.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.